Bug 247699 - dns/knot-resolver: Update to 5.1.2
Summary: dns/knot-resolver: Update to 5.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://www.knot-resolver.cz/2020-07-...
Keywords:
Depends on: 247739
Blocks: 244600 246578
  Show dependency treegraph
 
Reported: 2020-07-01 23:53 UTC by Leo Vandewoestijne
Modified: 2020-07-11 20:57 UTC (History)
6 users (show)

See Also:
pi: maintainer-feedback+


Attachments
knot-resolver 5.1.2 (13.10 KB, text/plain)
2020-07-01 23:53 UTC, Leo Vandewoestijne
no flags Details
knot-resolver (13.10 KB, patch)
2020-07-02 00:51 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
knot-resolver (8.41 KB, patch)
2020-07-02 14:10 UTC, Leo Vandewoestijne
no flags Details | Diff
knot-resolver (deleted)
2020-07-03 13:25 UTC, Leo Vandewoestijne
no flags Details
patch (deleted)
2020-07-03 20:13 UTC, Kurt Jaeger
no flags Details
updated patch (16.03 KB, patch)
2020-07-04 22:37 UTC, andrew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2020-07-01 23:53:54 UTC
Created attachment 216121 [details]
knot-resolver 5.1.2

Just after working on PR's a new version came out.
Succesfully tested with poudriere.
Comment 1 Leo Vandewoestijne 2020-07-01 23:55:55 UTC
This could close PR's 244600 and 246578
Comment 2 Leo Vandewoestijne 2020-07-02 00:51:55 UTC
Created attachment 216123 [details]
knot-resolver

Minor thing, but I still missed the -q option.
Added.
Comment 3 Fernando Apesteguía freebsd_committer 2020-07-02 06:12:22 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first
Comment 4 Li-Wen Hsu freebsd_committer 2020-07-02 07:29:48 UTC
(In reply to Leo Vandewoestijne from comment #2)
This patch cannot apply cleanly due to too many space/tab difference and I cannot resolve them by hand. Can you upload a new patch with `svn diff`? Thanks!
Comment 5 Vladimír Čunát 2020-07-02 10:01:02 UTC
I've only had a brief look so far, but using a different "rundir" for `kres-cache-gc` seems wrong.  You surely want to collect garbage in the cache (directory) used by the `kresd` process(es) and not in some separate one.
Comment 6 Leo Vandewoestijne 2020-07-02 14:10:51 UTC
Created attachment 216141 [details]
knot-resolver

In that case this is the adjusted patch, using a single rundir.
Testing it with validation-tools it looks OK, but I still have to test it running in reality.

Then (for the future) I'm afraid there still need to come a lua-http and lua-cqueues port.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 03:26:00 UTC
@Maintainer Does this issue still resolve bug 244600 and bug 246578? If not, please clarify the dependencies
Comment 8 Kurt Jaeger freebsd_committer 2020-07-03 03:40:28 UTC
testbuilds@work
Comment 9 Kurt Jaeger freebsd_committer 2020-07-03 03:42:02 UTC
portlint reports:

FATAL: Makefile: krescachegc listed in SUB_FILES/USE_RC_SUBR, but files/krescachegc.in is missing.
FATAL: Makefile: kresd listed in SUB_FILES/USE_RC_SUBR, but files/kresd.in is missing.
Comment 10 Leo Vandewoestijne 2020-07-03 13:25:22 UTC
Created attachment 216172 [details]
knot-resolver

Yes it addresses everything from PR244600.
And PR246578 was alreadys solved.
Both could be closed.

I never used `svn diff` for PR's - so I was unaware I needed to do `svn add`
The krescachegc.in and kresd.in are now added.

Further I've spotted another leftover-error in pkg-plist: %%KRESDUSER%%,%%KRESDGROUP%% should now adjusted be %%USERS%%,%%GROUPS%%

Further I've created a lua-cqueues port at PR216171 - this patch is already using it, and the previous errors are gone.
Comment 11 Leo Vandewoestijne 2020-07-03 13:28:52 UTC
Correction: PR216171 was a select error at copy/paste;
it's depending on PR247739 (the new cqueues port).
Comment 12 Kurt Jaeger freebsd_committer 2020-07-03 19:48:13 UTC
testbuilds@work
Comment 13 Kurt Jaeger freebsd_committer 2020-07-03 19:55:25 UTC
(In reply to Kurt Jaeger from comment #12)
Somewhat what's being installed is not what is in the auto-plisted file list:

===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/examples/config.cluster
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/examples/config.docker
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/examples/config.internal
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/examples/config.isp
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/examples/config.personal
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/examples/config.privacy
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%/examples/config.splitview
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%ETCDIR%%/icann-ca.pem
Error: Missing: %%EXAMPLESDIR%%/config.cluster
Error: Missing: %%EXAMPLESDIR%%/config.docker
Error: Missing: %%EXAMPLESDIR%%/config.internal
Error: Missing: %%EXAMPLESDIR%%/config.isp
Error: Missing: %%EXAMPLESDIR%%/config.personal
Error: Missing: %%EXAMPLESDIR%%/config.privacy
Error: Missing: %%EXAMPLESDIR%%/config.splitview
===> Error: Plist issues found.
Comment 14 Kurt Jaeger freebsd_committer 2020-07-03 20:13:48 UTC
Created attachment 216182 [details]
patch

This patch builds with the plist-fixes. Can you approve ?
Comment 15 Leo Vandewoestijne 2020-07-04 01:08:56 UTC
Comment on attachment 216182 [details]
patch

Looks fine. Approved.
Comment 16 andrew 2020-07-04 22:37:54 UTC
Created attachment 216207 [details]
updated patch

How does this look? This has the BUILD_DEPENDS / RUN_DEPENDS for cqueues that I suggested over in the cqueues ticket, and it passes testport for me without error (using the version of the cqueues port from my latest patch on that ticket, not the one currently committed).

I also removed lua:51+ from USES, because _this_ port isn't actually using the lua framework (since it's depending directly on luajit instead). It'll still, slightly unfortunately, pick up a runtime dependency on lua51 by way of cqueues, but I don't know any way to avoid that other than to build a special luajit flavor or slave port of cqueues which I think is overkill.

Additional changes I made were to remove USE_LDCONFIG since there seems to be no reason for it, and reordered things to pacify portclippy.

What I haven't done is tested whether the result actually runs...
Comment 17 Kurt Jaeger freebsd_committer 2020-07-05 08:45:36 UTC
testbuild of updated patch is fine. TODO: run-tests, and approval from Leo
Comment 18 Leo Vandewoestijne 2020-07-08 14:23:03 UTC
Did some testing in host, jail and poudriere: looks all fine;
Approved
but -probably needless to mention- make sure PR 247739 is comited first).
Thanks everybody!


Then in the future I expect it may be smart to give the user a radio-option to use lua / luajit / luajit-openresty - and do the same in dnsdist, such that you wont have needless duplicates or worse (conflicts).

And for the use-cases where lua-http becomes needed I should probably write a message instructing to use lua-rocks to install that.
Comment 19 Mark Linimon freebsd_committer freebsd_triage 2020-07-11 07:54:03 UTC
The content of attachment 216182 [details] has been deleted for the following reason:

replaced by newer diff
Comment 20 Mark Linimon freebsd_committer freebsd_triage 2020-07-11 07:54:36 UTC
The content of attachment 216172 [details] has been deleted for the following reason:

replaced by newer diff
Comment 21 Kurt Jaeger freebsd_committer 2020-07-11 20:57:46 UTC
Committed, thanks!
Comment 22 commit-hook freebsd_committer 2020-07-11 20:57:56 UTC
A commit references this bug:

Author: pi
Date: Sat Jul 11 20:57:43 UTC 2020
New revision: 542054
URL: https://svnweb.freebsd.org/changeset/ports/542054

Log:
  dns/knot-resolver: update 5.1.1 -> 5.1.2

  PR:		247699
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)
  		andrew@tao11.riddles.org.uk
  Relnotes:	https://www.knot-resolver.cz/2020-07-01-knot-resolver-5.1.2.html

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/files/krescachegc.in
  head/dns/knot-resolver/files/kresd.in
  head/dns/knot-resolver/files/patch-etc_meson.build
  head/dns/knot-resolver/files/patch-meson.build
  head/dns/knot-resolver/files/pkg-message.in
  head/dns/knot-resolver/pkg-descr
  head/dns/knot-resolver/pkg-plist